typst-init(1)

NAME
typst-init - Initializes a new project from a template

SYNOPSIS
typst-init [--package-path] [--package-cache-path] [-h|--help] <TEMPLATE> [DIR]

DESCRIPTION
Initializes a new project from a template

OPTIONS

--package-path=DIR
    Custom path to local packages, defaults to system-dependent location
    May also be specified with the TYPST_PACKAGE_PATH environment variable.

--package-cache-path=DIR
    Custom path to package cache, defaults to system-dependent location
    May also be specified with the TYPST_PACKAGE_CACHE_PATH environment variable.

-h, --help
    Print help (see a summary with '-h')

<TEMPLATE>
    The template to use, e.g. `@preview/charged-ieee`. You can specify the version by appending e.g. `:0.1.0`. If no version is specified, Typst will default to the latest version. Supports both local and published templates.

[DIR]
    The project directory, defaults to the template's name